( function( $ ) {

	'use strict';

	$( document ).ready( function() {
		
		// Init Vars
	    var hideTimer = null;

		var resizeTimer;

		function yzar_desktop_reactions_init() {

		    // Display Post Reactions On Hover.
			$( document ).on( 'mouseleave', '.yzpr-bar,.yzpr-reacto-post' , function( e ) {
			    hideTimer = setTimeout(function() {
				$( '.yzpr-bar' ).fadeOut();
			    }, 600 );
			});

		    // Hide Post Reactions On Mouse Leave.
			$( document ).on( 'mouseenter', '.yzpr-bar,.yzpr-reacto-post' , function( e ) {
				// Append Reactions Bar to the current Button.
				$( this ).closest( '.activity-meta, .acomment-options' ).append( $( '.yzpr-bar' ) );

				// Set Time Out.
			    if ( hideTimer !== null ) {
			        clearTimeout( hideTimer );
			    }

			    // Display Reactions Bar.
				$( this ).parent().find( '.yzpr-bar' ).fadeIn( 780 );

			});

			/**
			 * Delete Reaction.
			 */
			$( document ).on( 'click', '.yzpr-reacto-post' , function( e ) {

				e.preventDefault();

				if ( $( this ).find( '.yzpr-post-reaction' ).hasClass( 'yzpr-no-reaction' ) ) {
					// alert( 'wala');
					var yz_default_like = $( '.yzpr-bar' ).data( 'yz-default-reaction' );
					$( '.yzpr-bar' ).find('.yzpr-bar-item img[data-reaction="' + yz_default_like  +'"]').first().trigger('click');
					return;
				}

				var yzpr_reaction_btn = $( this ).find( '.yzpr-yes-reaction' );

				// Remove Reaction Image.
				yzpr_reaction_btn.find( 'img' ).remove();

				// Change Class.
				yzpr_reaction_btn.removeClass( 'yzpr-yes-reaction' ).addClass( 'yzpr-no-reaction' );

				// Display Heart Button
				yzpr_reaction_btn.append( '<i class="far fa-heart"></i>' ).hide().fadeIn( 600 );

				// Change Button title.
				$( this ).find( '.yzpr-react-title' ).text( $( this ).attr( 'data-default-title' ) )
				.hide().fadeIn( 600 );

	    		// Get Data.
				var data = {
					action: 'yzpr_delete_post_reaction',
					security: $( '#yzpr-post-reaction-nonce' ).val(),
					activity_id: $( this ).closest( '.activity-meta, .acomment-options' ).data( 'activity-id' )
				};

				// Process Saving Reaction.
				$.post( Youzer.ajax_url, data, function( response ) {

	            	// Get Response Data.
	            	var res = $.parseJSON( response );
					
					 if ( res.error ) {
						// Show Error.
						return false;
					}

				}).fail( function( xhr, textStatus, errorThrown ) {

	            	// Show Error Message
	            	$.yz_DialogMsg( 'error', Youzer.unknown_error );

					return false;

	    		});

			});

		}

		function yzar_mobile_reactions_init() {

		    // Hide Post Reactions On Mouse Leave.
			$( document ).on( 'click', '.yzpr-bar,.yzpr-reacto-post' , function( e ) {

				e.stopPropagation();	
				e.stopImmediatePropagation();
				// Append Reactions Bar to the current Button.
				$( this ).closest( '.activity-meta, .acomment-options' ).append( $( '.yzpr-bar' ) );

				// Set Time Out.
			    if ( hideTimer !== null ) {
			        clearTimeout( hideTimer );
			    }

			    // Display Reactions Bar.
				$( this ).parent().find( '.yzpr-bar' ).fadeIn( 780 );

			});

		}

        if ( $( window ).width() > 768 ) {
			yzar_desktop_reactions_init();
        } else {
			yzar_mobile_reactions_init();
        }

		$( window ).on( 'resize', function ( e ) {

			// Prevent Triggered Resize.
			if ( e.originalEvent === undefined ) {
				return;
			}

			e.preventDefault();

			// Init Vars.
			var window_changed;

		    clearTimeout( resizeTimer );

		    resizeTimer = setTimeout( function () {
		    	
		    	if ( $.browser.mobile ) {
			    	window_changed = $( window ).width() != app.size.window_width;
				} else {
					window_changed = true;
				}

	    		if ( window_changed ) {
			        if ( $( window ).width() > 768 ) {
						yzar_desktop_reactions_init();
			        } else {
						yzar_mobile_reactions_init();
			        }
		 		}

			}, 250 );
		});

		/**
		 * Save Reaction.
		 */
		 
		$( document ).on( 'click','.yzpr-bar img', function( e ) {

			e.stopPropagation();
			e.stopImmediatePropagation();

			// Hide Reactions Bar.
			$( '.yzpr-bar' ).fadeOut();

			// Init Vars.
			var yzpr_link_btn = $( this ).closest( '.activity-meta,.acomment-options' ).find( '.yzpr-reacto-post' );
			var yzpr_btn_icon = yzpr_link_btn.find( '.yzpr-post-reaction' );


			if ( yzpr_btn_icon.hasClass( 'yzpr-yes-reaction' ) ) {
				// Change Icon With fade Icon.
				yzpr_link_btn.find( 'img' ).attr( 'src', $( this ).attr( 'src' ) ).hide().fadeIn( 600 );
			}

			if ( yzpr_btn_icon.hasClass( 'yzpr-no-reaction' ) ) {
				// Remove "No Reaction Class"
				yzpr_btn_icon.removeClass( 'yzpr-no-reaction' ).addClass( 'yzpr-yes-reaction' );
				// Change Icon With fade Icon.
				yzpr_btn_icon.html( '<img src="' + $( this ).attr( 'src' )  + '" alt="" >' ).hide().fadeIn( 600 );
			}

			// Change Button title.
			yzpr_link_btn.find( '.yzpr-react-title' ).text( $( this ).parent()
			.attr( 'data-yztooltip' ) ).hide().fadeIn( 600 );

    		// Get Data.
			var data = {
				reaction_action: 'save_reaction',
				action: 'yzpr_save_post_reaction',
				emoji_id: $( this ).attr( 'data-reaction' ),
				security: $( '#yzpr-post-reaction-nonce' ).val(),
				activity_id: $( this ).closest( '.activity-meta,.acomment-options' ).data( 'activity-id' )
			};

			// Process Saving Reaction.
			$.post( Youzer.ajax_url, data, function( response ) {

            	// Get Response Data.
            	var res = $.parseJSON( response );
				
				 if ( res.error ) {
					// Show Error.
					return false;
				}

			}).fail( function( xhr, textStatus, errorThrown ) {

            	// Show Error Message
            	$.yz_DialogMsg( 'error', Youzer.unknown_error );

				return false;

    		});
    		
		});

		/**
		 * Display Reactors Modal.
		 */
		$( document ).on( 'click', '.yz-modal-head-emoji' , function( e ) {

			if ( $( this ).hasClass( 'yz-modal-active-tab' ) ) {
				return;
			}
			
			// Hide All Tabs.
			$( '.yz-users-who-list' ).hide();

			// Get Current Modal.
			var current_model = $( this ).closest( '.yz-modal-post-reactors' );

			// Remove Active Tab Menu Class.
			$( '.yz-modal-head-emoji' ).removeClass( 'yz-modal-active-tab' );

			// Remove Active Tab Class.
			$( '.yz-users-who-list' ).removeClass( 'yz-modal-active-list' );
			
			// Add Active Class to the current tab.
			$( this ).addClass( 'yz-modal-active-tab' );

			if ( 'true' == $( this ).attr( 'data-loaded' ) ) {
				
				// Remove Active Loader.
				if ( $( '.yz-modal-list-loader' )[0] ) {
					$( '.yz-modal-list-loader' ).fadeOut( 100 );
				}

				// Get Current Emoji.
				var current_emoji = $( this ).attr( 'data-emoji-id' );

				// Display Active Tab.
				current_model.find( '.yz-users-who-list[data-emoji-id="' + current_emoji + '"]' ).fadeIn( 200, function() {
					$( this ).addClass( "yz-modal-active-list" );
				});
			
				return;
			
			}

			// Mark Tab as Loaded.
			$( this ).attr( 'data-loaded', 'true' );

			// Hide Previews Tab.
			$( '.yz-users-who-list' ).removeClass( 'yz-modal-active-list' );

			// Show Loader.
			current_model.find( '.yz-modal-list-loader' ).show();

			// Get Data.
			var data = {
				'action' : 'yzpr_get_modal_tab_reactors',
				'emoji_id' : $( this ).attr( 'data-emoji-id' ),
				'post_id' : $( this ).closest( '.yz-modal-post-reactors' ).attr( 'data-post-id' )
			};

			jQuery.post( Youzer.ajax_url, data, function( response ) {

				// Get Reactors List.
				if ( $( '.yz-modal-active-list' )[0] && $( response ).find( '.yz-modal-active-list' ) ){

					// Get Active Tab.
					var active_tab = $( '.yz-wall-modal-show' ).find('.yz-modal-reactors-head .yz-modal-active-tab' ).attr('data-emoji-id' );
					
					if ( active_tab != data.emoji_id  ) {
						response = $( response ).removeClass( 'yz-modal-active-list' );
					}

				} 

				// Hide Loader.
				current_model.find( '.yz-modal-list-loader' ).fadeOut( 100, function() {
					// Hide Old Active List.
					current_model.find( '.yz-modal-active-list' ).removeClass( 'yz-modal-active-list' );
					// Display New List.
					current_model.find( '.yz-wall-modal-content' ).append( $( response ) ).hide().fadeIn( 400 );
				});

			});


		});
		/**
		 * Display Reactors Modal.
		 */
		$( document ).on( 'click', '.yz-post-reactors-list a img' , function( e ) {

			// Display Loader.
			$( '.yz-wall-modal-overlay' ).fadeIn( 500, function() {
				$( this ).find( '.yz-modal-loader' ).fadeIn( 400 );
			});

			e.preventDefault();

			var data = {
				'action' : 'yzpr_get_post_reactors',
				'emoji_id' : $( this ).attr( 'data-emoji-id' ),
				'post_id' : $( this ).closest( '.activity-meta,.acomment-options' ).data( 'activity-id' )
			};

			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post( Youzer.ajax_url, data, function( response ) {
				var $new_modal = $( '#yz-wall-modal' ).append( response );		
			    // Display Modal
				$new_modal.find( '.yz-wall-modal' ).addClass( 'yz-wall-modal-show' );
				// Hide Loader
				$( '.yz-wall-modal-overlay' ).find( '.yz-modal-loader' ).hide();
			});

		});


		// Hide Settings Menu if User Clicked Outside.
		$( document ).mouseup( function( e ) {

		    // Set Up Variables.
		    var yz_reaction_bar = $( '.yzpr-bar' );

	        // Hide Menu.
	        if (
	        	! yz_reaction_bar.is( e.target ) &&
	        	yz_reaction_bar.has( e.target ).length === 0
	        ) {
	        	$( '.yzpr-bar' ).fadeOut();
	        }

		});


	});


})( jQuery );