( function( $ ) {

	'use strict';

	$( document ).ready( function () {

		/**
		 * Add New Ad.
		 */
		$( document ).on( 'click', '#yz-add-emoji' , function( e )	{

			e.preventDefault();

			// Get Data.
			var	reactions_form = $( '#yz-reactions-form' ),
				data = $.yz_getAddData( reactions_form, 'yz_emoji' ),
				emoji_args	 = {
					selector 	: $( '.yz-emoji-title' ),
					emoji_title 	  : data['title'],
					emoji_image 	  : data['image'],
					emoji_visibility  : data['visibility'],
					emoji_description : data['description']
				};

			// Validate AD Data
			if ( ! $.validate_emoji_data( emoji_args ) ) {
				return false;
			}

			// Prepare item Data.
			var fieldName = 'yz_reactions[yz_emoji_' + yz_nextEmoji + ']',
				img_css = "style='background-image: url( " + data['image'] + " );'";

			// Add Widget item
			$( '#yz_reactions' ).prepend(
				'<li class="yz-emoji-item" data-emoji-name="yz_emoji_'+ yz_nextEmoji +'">' +
                    '<div class="yz-emoji-img" ' + img_css + '></div>' +
                    '<div class="yz-emoji-data">' +
                        '<h2 class="yz-emoji-title">' + data['title'] + '</h2>' +
                        '<div class="yz-emoji-actions">' +
                        	'<a class="yz-edit-item yz-edit-emoji"></a>' +
                        	'<a class="yz-delete-item yz-delete-emoji"></a>' +
                        '</div>' +
                    '</div>' +
                    '<input type="hidden" name="' + fieldName + '[title]" value="' + data['title'] + '">' +
                    '<input type="hidden" name="' + fieldName + '[image]" value="' + data['image'] + '">' +
                    '<input type="hidden" name="' + fieldName + '[visibility]" value="' + data['visibility'] + '">' +
                    '<input type="hidden" name="' + fieldName + '[description]" value="' + data['description'] + '">' +
                '</li>'
			);

			// Hide Modal
			$.yz_HideModal( reactions_form );

			// Increase Ad Number.
			yz_nextEmoji++;

		});

		/**
		 * Edit AD Form.
		 */
		$( '.yz-edit-emoji' ).live( 'click' , function() {

			// Get Data.
			var emoji_item = $( this ).closest( '.yz-emoji-item' );

			// Get Form Values
			$.yz_EditForm( {
				item		: emoji_item,
				form_title	: Youzer_AR.update_emoji,
				button_id	: 'yz-update-emoji',
				form 		: $( '#yz-reactions-form' )
			} );

			// CallBack Functions
			$.enable_live_preview();

		});

		/**
		 * Update Ad Data.
		 */
		$( '#yz-update-emoji' ).live( 'click' , function( e ) {

			e.preventDefault();

			// Declare Variables.
			var reactions_form = $( '#yz-reactions-form' ),
				emoji_item  = $.yz_getItemObject( reactions_form ),
				emoji_data  = $.yz_getNewData( reactions_form, 'keyToVal' ),
				emoji_args  = {
					old_title 	: emoji_item.find( '.yz-emoji-title' ).text(),
					selector 	: $( '.yz-emoji-title' ),
					emoji_title 	  : emoji_data['title'],
					emoji_image 	  : emoji_data['image'],
					emoji_visibility  : emoji_data['visibility'],
					emoji_description : emoji_data['description']
				};

			// Validate AD Data
			if ( ! $.validate_emoji_data( emoji_args ) ) {
				return false;
			}

			// Update Data
			$.yz_updateFieldsData( reactions_form );

		});

		/**
		 * Validate AD Data .
		 */
		$.validate_emoji_data = function( options ) {

			// o = Options .
			var o = $.extend( {}, options ),
				titleAlreadyeExist = $.yz_isAlreadyExist( {
					selector: o.selector,
					value: o.emoji_title,
					old_title: o.old_title,
					type: 'text'
				} );

			if (  ! o.emoji_title || titleAlreadyeExist ) {
				// Show Error Message
                $.ShowPanelMessage( {
                    msg  : Youzer_AR.empty_emoji,
                    type : 'error'
                } );
                return false;
			}
			
			if ( ! o.emoji_description  ) {
				// Show Error Message
                $.ShowPanelMessage( {
                    msg  : Youzer_AR.empty_emoji_desc,
                    type : 'error'
                } );
                return false;
			}

			// Validate Image Process.
			if ( ! yz_validateEmojiImage( o.emoji_image ) ) {
				return false;
			}
		

			return true;
		}

		/**
		 * Validate Banner .
		 */
		function yz_validateEmojiImage( image ) {

			// Validate Image
			if ( ! image ) {
				// Show Error Message
                $.ShowPanelMessage( {
                    msg  : Youzer_AR.empty_emoji_image,
                    type : 'error'
                } );
                return false;
			}

			// Checl if Banner Exist
			if ( ! $.yz_isImgExist( image, 'banner' ) ) {
				return false;
			}

			return true;
		}

		/**
		 * Remove Item.
		 */
		$( document ).on( 'click', '.yz-delete-emoji', function() {

			// Remove item
			$( this ).closest( 'li' ).remove();

			if ( ! $( '.yz-emoji-item' )[0] ) {
				$( '#yz_reactions' ) .append( '<p class="yz-no-content yz-no-emojis">' + Youzer_AR.no_emojis + '</p>' );
			}

		});

	});

})( jQuery );