<?php

class YZPR_Setup {

	/**
	 * # Install Options .
	 */
	function install_options() {
		
        if ( ! get_option( 'yz_next_emoji_nbr' ) ) {
            update_option( 'yz_next_emoji_nbr', '14' );
        }
        
        // Install Default Emojis List.
        if ( ! get_option( 'yz_reaction_emojis_installed' ) ) {
            update_option( 'yz_reaction_emojis', $this->get_default_emojis_list() );
            update_option( 'yz_reaction_emojis_installed', '1' );
        }

	}

	/**
	 * Default Emojis List.
	 */
	function get_default_emojis_list() {

	    // Get Emoji Path
	    $emoji_path = YZPR_ASSETS . 'emoji/';

	    $emojis = array(
	        'yz_emoji_1' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'like.png',
	            'title' => __( 'Like', 'youzer-posts-reactions' ),
	            'description' => __( 'Liked Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_2' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'love.png',
	            'title' => __( 'Love', 'youzer-posts-reactions' ),
	            'description' => __( 'Loved Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_3' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'wow.png',
	            'title' => __( 'Wow', 'youzer-posts-reactions' ),
	            'description' => __( 'Amazing Posts', 'youzer-posts-reactions' )
	        ),      
	        'yz_emoji_4' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'shy.png',
	            'title' => __( 'Shy', 'youzer-posts-reactions' ),
	            'description' => __( 'Shy Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_5' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'sad.png',
	            'title' => __( 'Sad', 'youzer-posts-reactions' ),
	            'description' => __( 'Sad Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_6' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'funny.png',
	            'title' => __( 'Funny', 'youzer-posts-reactions' ),
	            'description' => __( 'funny Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_7' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'wink.png',
	            'title' => __( 'Wink', 'youzer-posts-reactions' ),
	            'description' => __( 'Winked Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_8' => array(
	            'visibility' => 'true',
	            'image' => $emoji_path . 'angry.png',
	            'title' => __( 'Angry', 'youzer-posts-reactions' ),
	            'description' => __( 'Angry Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_9' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'dead.png',
	            'title' => __( 'Dead', 'youzer-posts-reactions' ),
	            'description' => __( 'Dead Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_10' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'sleepy.png',
	            'title' => __( 'Sleepy', 'youzer-posts-reactions' ),
	            'description' => __( 'Sleepy Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_11' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'cute.png',
	            'title' => __( 'Cute', 'youzer-posts-reactions' ),
	            'description' => __( 'Cute Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_12' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'bored.png',
	            'title' => __( 'Bored', 'youzer-posts-reactions' ),
	            'description' => __( 'Boring Posts', 'youzer-posts-reactions' )
	        ),
	        'yz_emoji_13' => array(
	            'visibility' => 'false',
	            'image' => $emoji_path . 'shock.png',
	            'title' => __( 'Shock', 'youzer-posts-reactions' ),
	            'description' => __( 'Shocking Posts', 'youzer-posts-reactions' )
	        )
	    );

	    return $emojis;

	}

	/**
	 * Build DataBase Table.
	 */
	public function build_database_table() {

        global $wpdb;

        $yzpr_table = $wpdb->prefix . 'yz_reactions';

		if ( $wpdb->get_var( "SHOW TABLES LIKE '$yzpr_table'" ) == $yzpr_table ) {
			return false;
		}

        // Set Variables
        $charset_collate = $wpdb->get_charset_collate();

        // Table SQL Code.
		$reactions_sql = "CREATE TABLE $yzpr_table (
			id int(11) NOT NULL AUTO_INCREMENT,
			user_id int(11) NOT NULL,
			activity_id int(255) NOT NULL,
			emoji_id VARCHAR(255) NOT NULL,
		 	time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
			PRIMARY KEY (id)
		) $charset_collate;";

		// Include Files.
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

		// Build Tables.
		dbDelta( $reactions_sql );
	}

}