<?php

class Youzer_Mycred_Addon_Admin {

    public $field_name;

    function __construct() {

        // Set Licence Field Name
        $this->field_name = 'yz_mycred_license_key';

        add_filter( 'yz_extensions_settings_menu', array( $this, 'settings_menu' ) );
        add_action( 'admin_init', array( $this, 'check_for_updates' ) );

		// Add Plugin Links.
		add_filter( 'plugin_action_links_' . YZ_MYCRED_BASENAME, array( $this, 'action_links' ) );

		// Add Plugin Links in Multisite..
		add_filter( 'network_admin_plugin_action_links_' . YZ_MYCRED_BASENAME, array( $this, 'action_links' ) );

    }

    /**
     * Menu
     */
    function settings_menu( $tabs ) {

    	$tabs['mycred'] = array(
	   	    'icon'  => 'fas fa-trophy',
	   	    'id'    => 'mycred',
	   	    'function' => array( $this, 'settings' ),
	   	    'title' => __( 'MyCRED settings', 'youzer-mycred' ),
	    );

	    return $tabs;
    }

    /**
     * Settings
     */
    function settings() {

		global $Youzer_Admin;
        
        // Get License.
        $license = get_option( $this->field_name );

        // Get License Settings.
        $Youzer_Admin->get_license_settings( array( 'license' => $license, 'option_id' => $this->field_name, 'product_id' => 156 )  );

    }

	/**
	 * Action Links
	 */
	function action_links( $links ) {
	    // Get Youzer Plugin Pages. 
	    $panel_url = esc_url( add_query_arg( array( 'page' => 'yz-extensions-settings&tab=mycred' ), admin_url( 'admin.php' ) ) );
	    $plugin_url = 'https://www.kainelabs.com/downloads/mycred-integration/';
	    $documentation_url = 'https://kainelabs.ticksy.com/articles/100012976';
	    // Add a few links to the existing links array.
	    return array_merge( $links, array(
	        'settings' => '<a href="' . $panel_url . '">' . esc_html__( 'Settings', 'youzer' ) . '</a>',
	        'documentation' => '<a href="' . $documentation_url . '">' . esc_html__( 'Documentation',    'youzer' ) . '</a>',
	        'about'    => '<a href="' . $plugin_url . '">' . esc_html__( 'About',    'youzer' ) . '</a>'
	    ) );
	}

    /**
	 * Check For Updates.
	 **/
	function yz_mycred_check_for_updates() {

	    // Get Licence.
	    $license = get_option( $this->field_name );

	    if ( empty( $license ) ) {
	        return;
	    }

	    // setup the updater
	    $edd_updater = new EDD_SL_Plugin_Updater( EDD_KAINELABS_STORE_URL, YZ_MYCRED_FILE,
	        array(
	            'version' => YZ_MYCRED_VERSION,                   
	            'license' => $license,
	            'item_id' => '156',
	            'author'  => 'Youssef Kaine', 
	            'beta'    => false,
	        )
	    );

	}

}

$mycred = new Youzer_Mycred_Addon_Admin();