<?php
/**
 * myCRED Youzer About Me - Hook.
 *
 */
class Youzer_AboutMe_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_aboutme_widget',
			'defaults' => array(
				'wg_about_me_photo' => array(
					'creds'         => 1,
					'title' 		=> __( 'User Photo', 'youzer' ),
					'log'           => '%plural% for adding about me widget photo',
				),
				'wg_about_me_title' => array(
					'creds'         => 1,
					'title' 		=> __( 'User Title', 'youzer' ),
					'log'           => '%plural% for adding about me widget title'
				),
				'wg_about_me_desc' => array(
					'creds'         => 1,
					'title' 		=> __( 'User Description', 'youzer' ),
					'log'           => '%plural% for adding about me widget description',
				),
				'wg_about_me_bio'	=> array(
					'creds'         => 1,
					'title' 		=> __( 'User Biography', 'youzer' ),
					'log'           => '%plural% for adding about me widget biography'
				),
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// After Saving Options Action.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points.
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}