<?php
/**
 * myCRED Youzer Instagram - Hook.
 *
 */
class Youzer_Instagram_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_instagram_widget',
			'defaults' => array(
				'wg_instagram_account_token' => array(
					'creds'         => 1,
					'title' 		=> __( 'Instagram', 'youzer' ),
					'log'           => '%plural% for adding instagram widget',
				)
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// After Linking/Unlinking Accounts Action.
		add_action( 'yz_after_linking_instagram_account', array( $this, 'add_points' ), 10, 2 );
		add_action( 'yz_after_unlinking_provider_account', array( $this, 'remove_points' ), 10, 2 );

	}
	
	/**
	 * Add Points
	 */
	function add_points( $user_id = null, $access_token = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, 'wg_instagram_account_token', $access_token );
	}

	/**
	 * Remove Points
	 */
	function remove_points( $user_id = null, $provider = null ) {
		
		if ( 'instagram' != $provider ) {
			return false;
		}

		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, 'wg_instagram_account_token', $access_token );
		
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}