<?php
/**
 * myCRED Youzer Post - Hook.
 *
 */
class Youzer_Post_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_post_widget',
			'defaults' => array(
				'wg_post_type' => array(
					'creds'         => 1,
					'title' 		=> __( 'Post Type', 'youzer' ),
					'log'           => '%plural% for adding post widget type',
				),
				'yz_profile_wg_post_id' => array(
					'creds'         => 1,
					'title' 		=> __( 'Post Select', 'youzer' ),
					'log'           => '%plural% for selecting post widget topic',
				)
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// After Saving Options Action.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points.
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}