<?php
/**
 * myCRED Youzer Profile Verification - Hook.
 *
 */
class Youzer_Pofile_Verification_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_profile_verification',
			'defaults' => array(
				'verify' => array(
					'creds'         => 1,
					'title' 		=> __( 'Profile Verified', 'youzer' ),
					'log'           => '%plural% for making the profile verified',
				)
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// On Post Addition.
		add_action( 'yz_after_verifying_account', array( $this, 'add_points' ), 10, 1 );
		add_action( 'yz_after_unverifying_account', array( $this, 'remove_points' ), 10, 1 );

	}
	
	/**
	 * Add Points
	 */
	function add_points( $user_id = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, 'verify', 'profile_verification' );
	}

	/**
	 * Remove Points
	 */
	function remove_points( $user_id = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, 'verify' );
		
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}