<?php
/**
 * myCRED Youzer Project - Hook.
 *
 */
class Youzer_Project_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_project_widget',
			'defaults' => array(
				'wg_project_type' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Type', 'youzer' ),
					'log'           => '%plural% for adding project widget type',
				),
				'wg_project_title' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Title', 'youzer' ),
					'log'           => '%plural% for adding project widget title'
				),
				'wg_project_thumbnail' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Thumbnail', 'youzer' ),
					'log'           => '%plural% for adding project widget thumbnail',
				),
				'wg_project_link' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Link', 'youzer' ),
					'log'           => '%plural% for adding project widget link',
				),
				'wg_project_desc' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Description', 'youzer' ),
					'log'           => '%plural% for adding project widget description',
				),
				'wg_project_categories' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Categories', 'youzer' ),
					'log'           => '%plural% for adding project widget categories',
				),
				'wg_project_tags' => array(
					'creds'         => 1,
					'title' 		=> __( 'Project Tags', 'youzer' ),
					'log'           => '%plural% for adding project widget tags',
				)
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// After Saving Options Action.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points.
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}