<?php
/**
 * myCRED Youzer Quote - Hook.
 *
 */
class Youzer_Quote_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_quote_widget',
			'defaults' => array(
				'wg_quote_img' => array(
					'creds'         => 1,
					'title' 		=> __( 'Quote Cover', 'youzer' ),
					'log'           => '%plural% for adding quote widget cover',
				),
				'wg_quote_txt' => array(
					'creds'         => 1,
					'title' 		=> __( 'Quote Text', 'youzer' ),
					'log'           => '%plural% for adding quote'
				),
				'wg_quote_owner' => array(
					'creds'         => 1,
					'title' 		=> __( 'Quote Owner', 'youzer' ),
					'log'           => '%plural% for adding quote widget owner',
				)
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// After Saving Options Action.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points.
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}