<?php
/**
 * myCRED Youzer Social Networks - Hook.
 *
 */
class Youzer_Social_Networks_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {
		// $this->
		parent::__construct( array(
			'id'       => 'youzer_social_networks_widget',
			'defaults' => $this->get_social_networks()
		), $hook_prefs, $type );

	}

	/***
	 * Get Social Networks
	 */
	public function get_social_networks() {
		
		$networks = array();

        // Get Social Networks
        $social_networks = yz_option( 'yz_social_networks' );

        $social_networks = maybe_unserialize( $social_networks );

        if ( empty( $social_networks ) ) {
        	return $networks;
        }

        foreach ( $social_networks as $key => $data ) {
            $networks[ $key ]= array(
                    'creds'  => 1,
                    'title'	 => $data['name'],
                    'log'  	 => '%plural% for adding ' . $data['name'] . ' url'
            );
        }

        return $networks;
	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// On Post Addition.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}
}