<?php
/**
 * myCRED Youzer Video - Hook.
 *
 */
class Youzer_Video_Widget_Hook extends myCRED_Hook {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct( $hook_prefs, $type ) {

		parent::__construct( array(
			'id'       => 'youzer_video_widget',
			'defaults' => array(
				'wg_video_title' => array(
					'creds'         => 1,
					'title' 		=> __( 'Video Title', 'youzer' ),
					'log'           => '%plural% for adding video widget title',
				),
				'wg_video_desc' => array(
					'creds'         => 1,
					'title' 		=> __( 'Video Description', 'youzer' ),
					'log'           => '%plural% for adding video widget description',
				),
				'wg_video_url' => array(
					'creds'         => 1,
					'title' 		=> __( 'Video URL', 'youzer' ),
					'log'           => '%plural% for adding video widget url'
				),
			)
		), $hook_prefs, $type );

	}

	/**
	 * Run
	 * Fires by myCRED when the hook is loaded.
	 * Used to hook into any instance needed for this hook
	 * to work.
	 */
	public function run() {

		// On Post Addition.
		add_action( 'yz_after_saving_account_options', array( $this, 'handle_points' ), 10, 3 );

	}
	
	/**
	 * Add/Remove Points.
	 */
	function handle_points( $user_id = null, $option_id = null, $option_value = null ) {
		global $Youzer_Mycred;
		$Youzer_Mycred->handle_points( $this, $user_id, $option_id, $option_value );
	}

	/**
	 * Hook Settings
	 * Needs to be set if the hook has settings.
	 */
	public function preferences() {
		global $Youzer_Mycred;
		$Youzer_Mycred->settings( $this );
	}

}