<?php
/**
 * myCRED Youzer Widgets Function.
 *
 */
class Youzer_MyCRED_Widegts {

	/**
	 * Construct
	 * Used to set the hook id and default settings.
	 */
	function __construct() {
	}

	/**
	 * Handle Points function.
	 */
	function handle_points( $hook, $user_id = null, $option_id = null, $option_value = null ) {

		// Check if user is excluded (required)
		if ( $hook->core->exclude_user( $user_id ) || ! isset( $hook->prefs[ $option_id ] ) ) {
			return;
		}

		// Check if point already added.
		$has_entry = $hook->core->has_entry( $option_id, $option_id, $user_id );

		// Delete Points on Removing Data
		if ( $has_entry && empty( $option_value ) ) {
			// Get Removed Log Cred
			$removed_cred = yz_mycred_get_log_creds( $user_id, $option_id );
			// Delete Log.
			yz_mycred_delete_log( $user_id, $option_id );
			// Update balance
			$hook->core->update_users_balance( $user_id, - $removed_cred, $hook->mycred_type );
			return;
		}

		// Make sure this is unique event
		if ( $hook->prefs[ $option_id ]['creds'] == 0 || $has_entry || empty( $option_value ) ) {
			return;
		}

		// Execute
		$hook->core->add_creds(
			$option_id,
			$user_id,
			$hook->prefs[ $option_id ]['creds'],
			$hook->prefs[ $option_id ]['log'],
			$option_id,
			'youzer_widget',
			$hook->mycred_type
		);

	}

	public function settings( $hook ) {

		// Our settings are available under $this->prefs
		$prefs = $hook->prefs;

		?>

		<?php foreach ( $prefs as $key => $value ) : ?>
		
		<div class="hook-instance">
			<h3><?php echo $prefs[ $key ]['title']; ?></h3>
			<div class="row">
				<div class="col-lg-2 col-md-6 col-sm-12 col-xs-12">
					<div class="form-group">
						<label for="<?php echo $hook->field_id( array( $key, 'creds' ) ); ?>"><?php echo $hook->core->plural(); ?></label>
						<input type="text" name="<?php echo $hook->field_name( array( $key, 'creds' ) ); ?>" id="<?php echo $hook->field_id( array( $key, 'creds' ) ); ?>" value="<?php echo $hook->core->number( $prefs[ $key ]['creds'] ); ?>" class="form-control" />
					</div>
				</div>
				<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
					<div class="form-group">
						<label for="<?php echo $hook->field_id( array( $key, 'log' ) ); ?>"><?php _e( 'Log template', 'mycred' ); ?></label>
						<input type="text" name="<?php echo $hook->field_name( array( $key, 'log' ) ); ?>" id="<?php echo $hook->field_id( array( $key, 'log' ) ); ?>" placeholder="<?php _e( 'required', 'mycred' ); ?>" value="<?php echo esc_attr( $prefs[ $key ]['log'] ); ?>" class="form-control" />
						<span class="description"><?php echo $hook->available_template_tags( array( 'general' ) ); ?></span>
					</div>
				</div>
			</div>
		</div>
		
		<?php endforeach; ?>

		<?php 
	}

}