<?php
/**
 * Plugin Name: Youzer - MyCRED
 * Plugin URI:  http://youzer.kainelabs.com
 * Description: Reward Users with points for each wall post type and all the profile widgets fields, social networks and increase your website users engagement.
 * Version:     1.0.3
 * Author:      Youssef Kaine
 * Author URI:  https://www.kainelabs.com
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: youzer
 * Domain Path: /languages/
 */

if ( ! defined( 'WPINC' ) ) {
    die;
}

/**
 * Check if Youzer Plugin is installed
 */
function yz_mycred_check_for_youzer_plugin() {

    if ( ! class_exists( 'Youzer' ) ) {

        function yz_mycred_extension_admin_notice() {

            ?>
            <div class="notice notice-warning is-dismissible">
                <p><?php echo sprintf( __( '<strong> Notice : </strong>Please install and activate <strong><a href="%1s">Youzer</strong></a> plugin to use the <strong>Youzer - Mycred </strong> extension.', 'youzer' ), 'https://codecanyon.net/item/youzer-new-wordpress-user-profiles-era/19716647' ); ?></p>
            </div>
            <?php
        }

        // Show Notice.
        add_action( 'admin_notices', 'yz_mycred_extension_admin_notice' );

        // Deactivate The Plugin.
        deactivate_plugins( plugin_basename( __FILE__ ) );

        return;

    }
    
}

// Check For Youzer.
add_action( 'admin_init', 'yz_mycred_check_for_youzer_plugin' );


// FILE
define( 'YZ_MYCRED_FILE', __FILE__ );

// Version
define( 'YZ_MYCRED_VERSION', '1.0.3' );

// Basename
define( 'YZ_MYCRED_BASENAME', plugin_basename( __FILE__ ) );

// MyCRED Path.
define( 'YZ_MYCRED_PATH', plugin_dir_path( __FILE__ ) );

/**
 * Rgister Youzer Wall Posts Hook
 */
add_filter( 'mycred_setup_hooks', 'yz_register_youzer_hook' );

function yz_register_youzer_hook( $installed ) {
    
    $installed['youzer_wall_posts'] = array(
        'title'       => __( 'Youzer - Wall Posts', 'youzer' ),
        'description' => __( 'Awards points for youzer wall posts actions.', 'youzer' ),
        'callback'    => array( 'Youzer_Wall_Posts_Hooks' )
    );

    $installed['youzer_aboutme_widget'] = array(
        'title'       => __( 'Youzer - About Me Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer about me widget.', 'youzer' ),
        'callback'    => array( 'Youzer_AboutMe_Widget_Hook' )
    );
    
    $installed['youzer_skills_widget'] = array(
        'title'       => __( 'Youzer - Skills Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer skills widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Skills_Widget_Hook' )
    );
    
    $installed['youzer_services_widget'] = array(
        'title'       => __( 'Youzer - Services Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer services widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Services_Widget_Hook' )
    );

    $installed['youzer_portfolio_widget'] = array(
        'title'       => __( 'Youzer - Portfolio Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer portfolio widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Portfolio_Widget_Hook' )
    );

    $installed['youzer_slideshow_widget'] = array(
        'title'       => __( 'Youzer - Slideshow Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer slideshow widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Slideshow_Widget_Hook' )
    );

    $installed['youzer_quote_widget'] = array(
        'title'       => __( 'Youzer - Quote Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer quote widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Quote_Widget_Hook' )
    );

    $installed['youzer_link_widget'] = array(
        'title'       => __( 'Youzer - Link Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer link widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Link_Widget_Hook' )
    );

    $installed['youzer_video_widget'] = array(
        'title'       => __( 'Youzer - Video Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer video widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Video_Widget_Hook' )
    );

    $installed['youzer_post_widget'] = array(
        'title'       => __( 'Youzer - Post Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer post widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Post_Widget_Hook' )
    );

    $installed['youzer_project_widget'] = array(
        'title'       => __( 'Youzer - Project Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer project widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Project_Widget_Hook' )
    );

    $installed['youzer_instagram_widget'] = array(
        'title'       => __( 'Youzer - Instagram Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer instagram widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Instagram_Widget_Hook' )
    );

    $installed['youzer_flickr_widget'] = array(
        'title'       => __( 'Youzer - Flickr Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer flickr widget.', 'youzer' ),
        'callback'    => array( 'Youzer_Flickr_Widget_Hook' )
    );

    $installed['youzer_social_networks_widget'] = array(
        'title'       => __( 'Youzer - Social Networks Widget', 'youzer' ),
        'description' => __( 'Awards points for youzer social networks.', 'youzer' ),
        'callback'    => array( 'Youzer_Social_Networks_Widget_Hook' )
    );

    $installed['youzer_profile_verification'] = array(
        'title'       => __( 'Youzer - Profile Verification', 'youzer' ),
        'description' => __( 'Awards points for youzer profile verification.', 'youzer' ),
        'callback'    => array( 'Youzer_Pofile_Verification_Hook' )
    );

    $installed['youzer_follows'] = array(
        'title'       => __( 'Youzer - Follows', 'youzer' ),
        'description' => __( 'Awards %_plural% for following other users.', 'youzer' ),
        'callback'    => array( 'Youzer_Follows_Hook' )
    );

    $installed['youzer_bookmarks'] = array(
        'title'       => __( 'Youzer - Bookmarks', 'youzer' ),
        'description' => __( 'Awards %_plural% for Bookmarking posts.', 'youzer' ),
        'callback'    => array( 'Youzer_Bookmarks_Hook' )
    );

    $installed['youzer_reviews'] = array(
        'title'       => __( 'Youzer - Reviews', 'youzer' ),
        'description' => __( 'Awards %_plural% for adding reviews.', 'youzer' ),
        'callback'    => array( 'Youzer_Reviews_Hook' )
    );

    $installed['youzer_reactions'] = array(
        'title'       => __( 'Youzer - Reactions', 'youzer' ),
        'description' => __( 'Awards %_plural% for reacting to wall posts.', 'youzer' ),
        'callback'    => array( 'Youzer_Reactions_Hook' )
    );

    return $installed;
}

/**
 * Rgister Youzer Wall Posts Hook
 */

add_action( 'mycred_load_hooks', 'yz_mycred_load_youzer_hook' );

function yz_mycred_load_youzer_hook() {

    // Require file containing the class or
    require YZ_MYCRED_PATH . 'classes/yz-mycred-wall-hook.php';
    require YZ_MYCRED_PATH . 'classes/yz-aboutme-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-skills-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-services-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-slideshow-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-portfolio-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-quote-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-link-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-post-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-video-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-instagram-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-flickr-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-project-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-social-networks-widget.php';
    require YZ_MYCRED_PATH . 'classes/yz-profile-verification.php';
    require YZ_MYCRED_PATH . 'classes/yz-follows.php';
    require YZ_MYCRED_PATH . 'classes/yz-bookmarks.php';
    require YZ_MYCRED_PATH . 'classes/yz-reviews.php';
    require YZ_MYCRED_PATH . 'classes/yz-reactions.php';

}

/**
 * Delete MyCRED Log.
 */
function yz_mycred_delete_log( $user_id, $ref, $ref_id = null ) {

    global $wpdb, $mycred;

    $request = "DELETE FROM {$mycred->log_table} WHERE user_id = '$user_id' AND ref= '$ref'";

    if ( ! empty( $ref_id ) ) {
        $request .= " AND ref_id = '$ref_id'";
    }

    // Delete entries that are older than our $timestamp
    $wpdb->query( $request );

}

/**
 * Get MyCRED Log.
 */
function yz_mycred_get_log_creds( $user_id, $ref , $ref_id = null ) {

    global $wpdb, $mycred;
    $request = "SELECT creds FROM {$mycred->log_table} WHERE user_id = '$user_id' AND ref= '$ref'";

    if ( ! empty( $ref_id ) ) {
        $request .= " AND ref_id = '$ref_id'";
    }

    // Delete entries that are older than our $timestamp
    $creds = $wpdb->get_var( $request );

    return $creds;
}

// Include General Widget Functions
require( YZ_MYCRED_PATH . 'classes/yz-widgets-functions.php' );

// Init Global Vars.
global $Youzer_Mycred;

// Init Widgets General functions Class.
$Youzer_Mycred = new Youzer_MyCRED_Widegts();

/**
 * Init Admin
 */
function yz_mycred_init_admin() {
    if ( is_admin() ) {
        require YZ_MYCRED_PATH . 'admin/yz-mycred-admin.php';
    }
}

add_action( 'admin_init', 'yz_mycred_init_admin' );

// /**
//  * Action Links
//  */
// function yz_mycred_plugin_action_links( $links ) {
//     // Get Youzer Plugin Pages. 
//     $panel_url = esc_url( add_query_arg( array( 'page' => 'youzer-panel&tab=mycred' ), admin_url( 'admin.php' ) ) );
//     $plugin_url = 'https://www.kainelabs.com/downloads/mycred-integration/';
//     $documentation_url = 'https://kainelabs.ticksy.com/articles/100012976';
//     // Add a few links to the existing links array.
//     return array_merge( $links, array(
//         'settings' => '<a href="' . $panel_url . '">' . esc_html__( 'Settings', 'youzer' ) . '</a>',
//         'documentation' => '<a href="' . $documentation_url . '">' . esc_html__( 'Documentation',    'youzer' ) . '</a>',
//         'about'    => '<a href="' . $plugin_url . '">' . esc_html__( 'About',    'youzer' ) . '</a>'
//     ) );
// }

// // Add Plugin Links.
// add_filter( 'plugin_action_links_' . YZ_MYCRED_BASENAME, 'yz_mycred_plugin_action_links' );

// // Add Plugin Links in Multisite..
// add_filter( 'network_admin_plugin_action_links_' . YZ_MYCRED_BASENAME, 'yz_mycred_plugin_action_links' );


/**
 * Activate License Notice.
 */

// Add Plugin Updater.
add_action( 'after_plugin_row_' . YZ_MYCRED_BASENAME, 'yz_mycred_activate_license_notice' , 10, 3 );

function yz_mycred_activate_license_notice( $plugin_file, $plugin_data, $status ) {

    if ( ! empty( get_option( 'yz_mycred_license_key' ) ) ) {
        return;
    }
    
    global $Youzer_Admin;

    // Display Activation Notice.
    $Youzer_Admin->extension_validate_license_notice( array( 'field_name' => 'yz_mycred_license_key', 'product_name' => 'Buddypress MyCRED Integration' ) );

}