( function( $ ) {

	'use strict';

	$( document ).ready( function() {


        /**
         * Display Profile Completeness.
         */
        $.ajax( {
            url: ajaxurl,
            type: 'post',
            data: {
                'action':'yz_get_profile_completeness_widget',
                'user_id': $( '.yzpc-widget-container' ).data( 'user-id' )
            },          
            success: function( response ) {

                // Append Content.  
                $( '.yzpc-widget-container' ).html( response );

                // Run Circle Script.
                if ( jQuery.circleProgress ) {
                    $( '.yzpc-head-circle .yzpc-circle' ).circleProgress().on( 'circle-animation-progress', function( event, progress , stepValue) {
                        $( this ).find( 'span' ).html( $( this ).data( 'percent' ) );
                    });
                }

                // Open Items.
                $( 'div.yzpc-fields-parent-item' ).not( '.yzpc-direct-link' ).on( 'click', function( e ) {
                    $( this ).next( '.yzpc-parent-fields-content' ).slideToggle();
                });

                // Open Fields
                $( '.yzpc-show-fields, .yzpc-item-title, .yzpc-item-icon i' ).on( 'click', function( e ) {
                    $( this ).closest( '.yzpc-task' ).find( '.yzpc-fields').slideToggle();
                });

                // Activate Remove Box Function.
                yzpc_initRemoveCompletenessWidget();

            }
            // , error: function( errorThrown ) {}
        });


        /**
         * Load "Remove Completeness Box".
         */
       function yzpc_initRemoveCompletenessWidget() {

            $( '.yzpc-remove-box' ).on( 'click', function( e ) {

                // Get User ID.
                var user_id = $( this ).attr( 'data-user-id' );

                e.preventDefault();

                // Remove Widget.
                $( this ).closest( '.yzpc-widget' ).fadeOut( 400, function() { 
                    
                    $.ajax( {
                        url: ajaxurl,
                        type: 'post',
                        data: {
                            'action':'yz_remove_user_completeness_widget',
                            'user_id': user_id
                        }
                    });

                });
            });
        }


        /**
         * Load Skills On Scroll
         */
       function yzpc_initProfileCompletenessBar() {

            if ( $( '.yzpc-bar' )[0] ) {
                    
                if ( $( window ).scrollTop() + $( window ).height() >= $( '.yzpc-bar' ).offset().top ) {
                    if ( ! $( '.yzpc-bar' ).attr( 'loaded' ) ) {
                        $( '.yzpc-bar' ).attr( 'loaded', true );
                        $( '.yzpc-bar' ).each( function() {
                            $( this ).find( '.yzpc-bar-color' ).animate( {
                                width: $( this ).attr( 'data-percent' )
                            }, 2000 );
                        });
                    }
                }
            }
        }

        // Init Functions.
        yzpc_initProfileCompletenessBar();
        yzpc_initRemoveCompletenessWidget();
	});

})( jQuery );