<?php

class YZPC_Admin {

	public $field_name;

	function __construct() {

		// Set Licence Field Name
		$this->field_name = 'yz_profile_completeness_license_key';

		// Add Settings Tab.
		add_filter( 'yz_extensions_settings_menu', array( &$this, 'settings_menu' ) );

		// Add Settings Content.
		add_action( 'yzpc_profile_completeness_settings', array( &$this, 'settings' ) );

		// Save Settings.
		add_action( 'yz_panel_save_settings',  array( &$this, 'save_settings' ) );

		// After Saving Profile Structure Settings.
		add_action( 'yz_after_saving_profile_structure',  array( &$this, 'update_settings' ) );

		// Add Plugin Updater.
		// add_action( 'after_plugin_row_' . YZPC_BASENAME, array( &$this, 'activate_license_notice' ), 10, 3 );
	
		add_action( 'admin_init', array( &$this, 'check_for_updates' ), 0 );
	}

	/**
	 * Settings
	 */
	function settings() {

	    global $Yz_Settings, $Youzer_Admin;

		// Get License.
		$license = get_option( $this->field_name );

		if ( ! empty( $license ) ) {

        // Get License Status.
        $Youzer_Admin->get_license_status( array( 'license' => $license, 'option_id' => $this->field_name, 'product_id' => 21146, 'position' => 'top' )  );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'General Settings', 'youzer-profile-completeness' ),
	            'type'  => 'openBox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Hide Incomplete Profiles', 'youzer-profile-completeness' ),
	            'desc'  => __( 'Hide all the incomplete profiles from the members directory', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_hide_md_incomplete_profiles',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Verify Accounts', 'youzer-profile-completeness' ),
	            'desc'  => __( 'Mark Completed Profiles As Verified', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_verify_complete_profiles',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

	    $snippet_link = 'https://gist.github.com/KaineLabs/7eac3754e4198be0536015c6f29d7858';
	    $Yz_Settings->get_field(
	        array(
	            'msg_type' => 'info',
	            'type'     => 'msgBox',
	            'title'    => __( "Changing Roles Won't be applied Immediately !", 'youzer-profile-completeness' ),
	            'id'       => 'yz_msgbox_profile_completeness_roles_cache',
	            'msg'      => sprintf( __( 'We are using a caching system in the profile completeness to keep your site fast, so any changes on the roles below it will take 1 hour to be applied! But you can disable that if you want by adding the snippet on the link below to bp-custom.php. <br> %1s ', 'youzer-profile-completeness' ), '<a href="' . $snippet_link . '">' . $snippet_link . '</a>' ) 
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Profile Completeness Roles', 'youzer-profile-completeness' ),
	            'type'  => 'openBox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'desc'  => __( 'Enable profile completeness system on the selected roles.', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_profile_completeness_roles',
	            'type'  => 'checkbox',
	            'opts'  => yz_get_site_roles(),

	        )
	    );

	    $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Restriction Settings', 'youzer-profile-completeness' ),
	            'class' => 'ukai-box-3cols',
	            'type'  => 'openBox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Posts', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from adding activity posts', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_wall_posts',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Comments', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from adding comments', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_wall_comments',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Likes', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from liking posts', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_wall_likes',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Replies', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from adding comment replies', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_wall_replies',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Delete Posts', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from deleting posts', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_wall_posts_delete',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Friendship', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from adding & deleting friends', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_friendship',
	            'type'  => 'checkbox'
	        )
	    );
	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Groups', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from joining & leaving groups', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_groups',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Reviews', 'youzer-profile-completeness' ),
	            'desc'  => __( 'prevent user from adding & deleting reviews', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_reviews',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Bookmarks', 'youzer-profile-completeness' ),
	            'desc'  => __( 'Disable Bookmarks System', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_bookmarks',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Follows', 'youzer-profile-completeness' ),
	            'desc'  => __( 'Disable Follows System', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_follows',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field(
	        array(
	            'title' => __( 'Messages', 'youzer-profile-completeness' ),
	            'desc'  => __( 'Disable Messages System', 'youzer-profile-completeness' ),
	            'id'    => 'yzpc_enable_messages',
	            'type'  => 'checkbox'
	        )
	    );

	    $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );


		// Get Fields Status.
		// $fields_status = delete_option( 'yzpc_fields' );
		$fields_status = get_option( 'yzpc_fields' );
		
		// Get Status Options.
		$status_options = apply_filters( 'yzpc_status_options', array(
			'optional' => __( 'Optional', 'youzer-profile-completeness' ),
			'required' => __( 'Required', 'youzer-profile-completeness' ),
			'forced' => __( 'Forced', 'youzer-profile-completeness' ),
		) );

		// Get Data.
		$profile_widgets = yz_user_widgets_fields();
		$xprofile_fields = yzpc_get_bp_profile_fields();
		$profile_images = yzpc_get_profile_images_fields();

		?>
		
		<div class="yz-panel-subtabs">

			<input name="tabs" type="radio" id="tab-1" checked="checked" class="yz-panel-subtab-input"/>
			<label for="tab-1" class="yz-panel-subtab-label"><i class="fas fa-globe-asia"></i><?php _e( 'Profile Fields', 'youzer-profile-completeness' ); ?></label>
			
			<div class="yz-panel-subtab-content"><?php

				foreach ( $xprofile_fields as $group_id => $fields ) {

					// Get Fields Group.
					$group = new BP_XProfile_Group( $group_id );

					$Yz_Settings->get_field(
						array(
							'title' => sprintf( __( '%s fields', 'youzer-profile-completeness' ), $group->name ),
							'class' => 'ukai-box-3cols kl-accordion-box',
							'type'  => 'openBox',
							'hide'  => true,
						)
					);

					foreach ( $fields as $field ) {

						$option_value = ! empty( $fields_status ) && isset( $fields_status[ $group_id ][ $field['id'] ] ) ? $fields_status[$group_id ][ $field['id'] ] : 'optional';

						$Yz_Settings->get_field(
						array(
						'type'  => 'select',
						'std'   => $option_value,
						'id'    => $field['id'],
						'opts' => $status_options, 
						'title' => $field['name'],
						'desc'  => __( 'set field status', 'youzer-profile-completeness' ),
						), false,
						'yzpc_fields[' . $group_id . ']'
						);

					}

					$Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

				}

			?>
			</div>

			<input name="tabs" type="radio" id="tab-2" class="yz-panel-subtab-input"/>
			<label for="tab-2" class="yz-panel-subtab-label"><i class="fas fa-th-list"></i><?php _e( 'Profile Widgets', 'youzer-profile-completeness' ); ?></label>
			<div class="yz-panel-subtab-content"><?php

			foreach ( $profile_widgets as $widget_name => $data ) {

				$class = isset( $data['fields'] ) ? 'ukai-box-3cols kl-accordion-box' : 'kl-accordion-box';

				$Yz_Settings->get_field(
				    array(
				        'title' => $data['title'],
				        'class' => $class,
				        'type'  => 'openBox',
				        'hide'  => true,
				    )
				);

				if ( isset( $data['fields']['yz_profile_wg_post_id'] ) ) {
					_e( "<strong>Ps:</strong> You can't set the post id as a forced field. in case the user has no posts he will not be able to create a post because he will keep being redirected to the post widget settings each time." , 'youzer-profile-completeness' ); 
				}

				if ( isset( $data['id'] ) ) {

					$option_value = ! empty( $fields_status ) && isset( $fields_status[ $widget_name ][ $data['id'] ] ) ? $fields_status[ $widget_name ][ $data['id'] ] : 'optional';
				        
				    $Yz_Settings->get_field(
				        array(
				            'type'  => 'select',
				            'id'    => $data['id'],
				            'std'   => $option_value,
				            'opts' => $status_options, 
				            'title' => $data['title'],
				            'desc'  => __( 'set field status', 'youzer-profile-completeness' ),
				        ), false,
				        'yzpc_fields[' . $widget_name . ']'
				    );

				} else {

				    foreach ( $data['fields'] as $field_key => $field ) {
						
						$option_value = ! empty( $fields_status ) && isset( $fields_status[ $widget_name ][ $field_key ] ) ? $fields_status[ $widget_name ][ $field_key ] : 'optional';
				        
				        $Yz_Settings->get_field(
				            array(
				                'type'  => 'select',
				                'std'   => $option_value,
				                'id'    => $field_key,
				                'opts' => $status_options, 
				                'title' => $field['title'],
				                'desc'  => __( 'set field status', 'youzer-profile-completeness' ),
				            ), false,
				            'yzpc_fields[' . $widget_name . ']'
				        );

				    }
				}

				$Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

			}

			?>
			</div>

			<input name="tabs" type="radio" id="tab-3" class="yz-panel-subtab-input"/>
			<label for="tab-3" class="yz-panel-subtab-label"><i class="fas fa-camera"></i><?php _e( 'Profile Images', 'youzer-profile-completeness' ); ?></label>
			<div class="yz-panel-subtab-content"><?php

			foreach ( $profile_images as $elements ) {

					foreach ( $elements as $element_name => $element_title ) {
							
						$Yz_Settings->get_field(
						    array(
						        'title' => $element_title,
						        'class' => 'kl-accordion-box',
						        'type'  => 'openBox',
						        'hide'  => true,
						    )
						);

						$option_value = ! empty( $fields_status ) && isset( $fields_status['images'][ $element_name ] ) ? $fields_status['images'][ $element_name ]: 'optional';
					        
					    $Yz_Settings->get_field(
					        array(
					            'type'  => 'select',
					            'id'    => $element_name,
					            'std'   => $option_value,
					            'opts' => $status_options, 
					            'title' => $element_title,
					            'desc'  => __( 'set field status', 'youzer-profile-completeness' ),
					        ), false,
					        'yzpc_fields[images]'
					    );


						$Yz_Settings->get_field( array( 'type' => 'closeBox' ) );
					}

			}

			?></div>

			<?php

	        // Add Hidden Input
	        $Yz_Settings->get_field(
	            array(
	                'type'       => 'hidden',
	                'class'      => 'yz-keys-name',
	                'std'        => 'yz_profile_completeness',
	                'id'         => 'yz_profile_completeness_form',
	                'no_options' => true
	            )
	        );

	        ?>

		</div>

		<?php

    	}

        // Get License Status.
        $Youzer_Admin->get_license_settings( array( 'license' => $license, 'option_id' => $this->field_name, 'product_id' => 21146 ) );

        
	}

	/**
	 * # Add Settings Tab
	 */
	function settings_menu( $tabs ) {

		$tabs['profile-completeness'] = array(
       	    'icon'  => 'fas fa-tasks',
       	    'id'    => 'profile-completeness',
       	    'function' => 'yzpc_profile_completeness_settings',
       	    'title' => __( 'Profile Completeness settings', 'youzer-profile-completeness' ),
        );
        
        return $tabs;

	}

	/**
	 * Save Restriction fields.
	 */
	function restriction_fields( $data ) {

	    // Youzer Panel options
	    $youzer_options = isset( $data['youzer_options'] ) ? $data['youzer_options'] : null;

	    if ( empty( $youzer_options ) ) {
	    	return;
	    }
		
		// Init Vars.
		$restrictions = array();

		// Get Restriction Fields.
	    $yzpc_fields = yzpc_get_restricted_fields_data();

	    // Save Options
    	foreach ( $yzpc_fields as $element => $field ) {
    		if ( $youzer_options[ $field['id'] ] == 'on' ) {
    			$restrictions[ $element ] = 1;
    		}
    	}

	    // Update Restriction Fields.
	    update_option( 'yzpc_restrictions', $restrictions );

	    return $restrictions;

	}
	
	/**
	 * # Update Settings.
	 */
	function update_settings() {
		
		// Get Fields.
    	$fields = get_option( 'yzpc_fields' );
    	
		// Save Fields.
		$this->save_fields_data( $fields );

	}


	/**
	 * # Save Settings.
	 */
	function save_settings( $data ) {

	    if ( ! isset( $data['yz_profile_completeness_form'] ) ) {
	    	return;
	    }
	    	
	    // Restrictions
	    $restriction_fields = $this->restriction_fields( $data );

	    // Get Options Data.
		$fields = isset( $data['yzpc_fields'] ) ? $data['yzpc_fields'] : null;

		// Save Fields.
		$fields = $this->save_fields_data( $fields );

		// Save Completeness Box Items.
		$this->save_box_items( $fields, $restriction_fields );

	}

	/**
	 * Save Fields Data.
	 */
	function save_fields_data( $fields ) {

		if ( empty( $fields ) ) {
			return;
		}
		
		// Get Current Tiem.
		$current_time = current_time( 'timestamp' );

		// Remove Unvisible Widgets.
		$fields = $this->remove_disabled_widgets( $fields );

		// Update Options.
    	update_option( 'yzpc_fields', $fields );
    	
    	// Save Forced Fields.
    	$old_forced_fields = get_option( 'yzpc_forced_fields' );
		$forced_fields = $this->get_fields_by_status( $fields, 'forced' );

		if ( $old_forced_fields != $forced_fields ) {
			update_option( 'yzpc_forced_fields', $forced_fields );
			update_option( 'yzpc_forced_fields_updated', $current_time );
		}

    	// Save Optional Fields.
    	$old_optional_fields = get_option( 'yzpc_optional_fields' );
		$optional_fields = $this->get_fields_by_status( $fields,'optional' );

		if ( $old_optional_fields != $optional_fields ) {
			update_option( 'yzpc_fields_updated', $current_time );
			update_option( 'yzpc_optional_fields', $optional_fields );
			update_option( 'yzpc_optional_fields_updated', $current_time );
		}

    	// Save Required Fields.
    	$old_required_fields = get_option( 'yzpc_required_fields' );
		$required_fields = $this->get_fields_by_status( $fields,'required' );
		
		if ( $old_required_fields != $required_fields ) {
			update_option( 'yzpc_fields_updated', $current_time );
			update_option( 'yzpc_required_fields', $required_fields );
			update_option( 'yzpc_required_fields_updated', $current_time );
		}

		// Save Total Fields.
		$total_fields_count = array_merge_recursive( $forced_fields, $required_fields );

		// Start of Testing.
		// update_option( 'yzpc_total_fields1', $total_fields_count );
		// update_option( 'yzpc_total_fields_plus',array_merge_recursive( $required_fields, $forced_fields )  );
		// update_option( 'yzpc_total_forced_fields', $forced_fields );
		// update_option( 'yzpc_total_required_fields', $required_fields );
		// update_option( 'yzpc_total_images_fields', $total_fields_count );
		// update_option( 'yzpc_total_widgets_fields', $total_fields_count );
		// update_option( 'yzpc_total_xprofile_fields', $total_fields_count );
		// ENd of Testting
		
		update_option( 'yzpc_total_fields', yzpc_get_fields_count( $total_fields_count ) );

		// Remove Incomplete Profiles Ids Transient if the options were updated.
		delete_transient( 'yzpc_incomplete_profiles' );

		// Set Last Times Options Were Updated
		update_option( 'yzpc_options_updated', $current_time );

		return $fields;
	}
	
	/**
	 * Remove Unvisible Widgets.
	 */
	function remove_disabled_widgets( $fields = null ) {

		if ( ! empty( $fields ) ) {

			foreach ( $fields as $widget_name => $widget_data ) {
		        
		        if ( $widget_name == 'images' ) {

                    if ( ! bp_displayed_user_use_cover_image_header() ) {
                    	$fields['images']['change-cover-image'] = 'optional';
                    }

                    if ( ! buddypress()->avatar->show_avatars ) {
                    	$fields['images']['change-avatar'] = 'optional';
                    }

                    continue;
		        }

		        if ( is_numeric( $widget_name ) ) {
		            continue;
		        }
		        
		        if ( ! yz_is_widget_visible( $widget_name ) ) {
		            unset( $fields[ $widget_name ] );
		        }

		    }

		}

	    return apply_filters( 'yzpc_remove_disabled_widgets', $fields );

	}

	/**
	 * Get Fields By Status.
	 */
	function get_fields_by_status( $fields = null, $status = null ) {
		
		if ( empty( $fields ) || empty( $status ) ) {
			return;
		}

		$items = array();

		foreach ( $fields as $field_id => $field ) {
			foreach ( $field as $key => $value) {
				if ( $value == $status ) {
					$items[ $field_id ][] = $key;
				}
			}
		}

		return $items;

	}

	/**
	 * Save Completeness Box Items.
	 */
	function save_box_items( $fields = null, $restrictions = null ) {
		
		// Completeness Box Items.
		$box_items = array();

		// Get Required Fields.
		$required_fields = $this->get_fields_by_status( $fields,'required' );

		// Get Sorted Fields
		$sorted_fields = yzpc_get_fields_sorted_by_types( $required_fields );

		if ( ! empty( $sorted_fields ) ) {

			// Set Flag For Images Fields.
			if ( isset( $sorted_fields['images'] ) ) {
				$box_items['images'] = 1;
			}

			// Set Flag For Widgets Fields.
			if ( isset( $sorted_fields['widgets'] ) ) {
				$box_items['widgets'] = 1;
			}

			// Set Flag For xprofile Fields.
			if ( isset( $sorted_fields['xprofile'] ) ) {
				$box_items['xprofile'] = 1;
			}

		}

		if ( ! empty( $restrictions ) ) {
			$box_items['restrictions'] = 1;
		}

		// Save Box Items.
		if ( ! empty( $box_items ) ) {
			update_option( 'yzpc_box_items', $box_items );
		} else {
			delete_option( 'yzpc_box_items' );
		}

	}

	/**
	 * Check For Updates.
	 **/
	function check_for_updates() {

		// Get Licence.
		$license = get_option( $this->field_name );

		if ( empty( $license ) ) {
			return;
		}

		// setup the updater
		$edd_updater = new EDD_SL_Plugin_Updater( EDD_KAINELABS_STORE_URL, YZPC_FILE,
			array(
				'version' => YZPC_VERSION,                   
				'license' => $license,
				'item_id' => '21146',
				'author'  => 'Youssef Kaine', 
				'beta'    => false,
			)
		);

	}

}