<?php

/**
 * Profile Completeness Settings. 
 */
function yzpc_profile_completeness_settings() {
	do_action( 'yzpc_profile_completeness_settings' );
}

/**
 * Get All BP Fields
 */
function yzpc_get_bp_profile_fields() {
    // Init Fields.
    $fields = array();
    
    if ( ! bp_is_active( 'xprofile' ) ) {
        return $fields;
    }
    // Get Profile Groups Fields.    
    $profile_groups = BP_XProfile_Group::get( array( 'fetch_fields' => true ) );
    if ( ! empty( $profile_groups ) ) {
         foreach ( $profile_groups as $profile_group ) {
            if ( ! empty( $profile_group->fields ) ) {               
                foreach ( $profile_group->fields as $field ) {
                    $fields[ $profile_group->id ][] = array(
                        'id' => $field->id,
                        'name' => $field->name
                    );
                }
            }
        }
    }
    // Filter;
    $fields = apply_filters( 'yz_get_bp_profile_fields', $fields );
    return $fields;
}

/**
 * Get Profile Images Fields
 */
function yzpc_get_profile_images_fields() {

    $fields = array(
        'images' => array(
            'change-avatar' => __( 'Profile Avatar', 'youzer-profile-completeness' ),
            'change-cover-image' => __( 'Profile Cover Image', 'youzer-profile-completeness' )
        )
    );

    return apply_filters( 'yzpc_get_profile_images_fields', $fields );
}

/**
 * Get Fields Count
 */
function yzpc_get_fields_count( $fields ) {

    if ( empty( $fields ) ) {
        return 0;
    }
    
    $count = count( $fields, true ) - count( $fields );

    return apply_filters( 'yzpc_get_fields_count', $count );
}