( function( $ ) {

    'use strict';

    $( document ).ready( function() {

    	function yzss_PopupCenter(url, title, w, h ) {
		    // Fixes dual-screen position                         Most browsers      Firefox
		    var dualScreenLeft = window.screenLeft != undefined ? window.screenLeft : window.screenX;
		    var dualScreenTop = window.screenTop != undefined ? window.screenTop : window.screenY;

		    var width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
		    var height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

		    var left = ((width / 2) - (w / 2)) + dualScreenLeft;
		    var top = ((height / 2) - (h / 2)) + dualScreenTop;
		    var newWindow = window.open(url, title, 'scrollbars=yes, resizable=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);

		    // Puts focus on the newWindow
		    if ( window.focus ) {
		        newWindow.focus();
		    }
		}

    	// Show Pop Up.
    	$( 'body' ).on( 'click', '.yz-share-buttons a', function( e ) {
	        e.preventDefault();
	        yzss_PopupCenter( this.href, 'targetWindow', 700, 500 );
    	});

    	// Get Share buttons.
    	$( 'body' ).on( 'click', '.yz-share-button', function( e ) {

	        e.preventDefault();

	        // Get Current Buttons.
	        var yz_share_btn = $( this );
	        
	        // Show/Hide Share Buttons.
	        if ( $( this ).attr( 'data-loaded' ) == 'true' ) {
	        	yz_share_btn.parent( '.activity-meta' ).prev( '.yz-share-buttons' ).fadeToggle();
	        	return;
	        }
	        
	        // Add Loading Class.
	        yz_share_btn.addClass( 'yz-loading-share-btns' );
	       
	       // Get Data.
			var data = {
				'component' : 'activity',
				'action' : 'yzss_get_post_social_share_buttons',
				'item_id' : $( this ).parent( '.activity-meta' ).data( 'activity-id' )
			};

			// Get Social Buttons.
			jQuery.post( Youzer.ajax_url, data, function( response ) {
	        	
	        	// Remove Loading Class.
	        	yz_share_btn.removeClass( 'yz-loading-share-btns' );

				// Mark Buttons as Loaded.
				yz_share_btn.attr( 'data-loaded', 'true' );

				// Append Content.
				$( response ).insertBefore( yz_share_btn.parent( '.activity-meta' ) );

			});

    	});

    	/**
    	 * Share Profile / Group
    	 */
    	$( '.yz-social-share-btn' ).on( 'click', function( e ) {

    		e.preventDefault();

    		// Init Vars
    		var yz_curent_btn = $( this ), yz_item_id;

    		// Get Component
    		var yz_component = $( this ).parent( '.yz-tools' ).data( 'component' );
    		    		
    		// Get Component
    		if ( 'profile' == yz_component ) {
    			yz_item_id = $( this ).parent( '.yz-tools' ).data( 'user-id' );
    		} else if( 'group' == yz_component ) {
    			yz_item_id = $( this ).parent( '.yz-tools' ).data( 'group-id' );
    		}

    		// Show Loaded Modal.
    		if ( $( this ).attr( 'data-loaded' ) == 'true' ) {

    			if ( 'profile' == yz_component ) {
	    			$( '.yz-social-share-modal[data-user-id="' + yz_item_id + '"]' ).addClass( 'yz-is-visible' );
    			} else if( 'group' == yz_component ) {
	    			$( '.yz-social-share-modal[data-group-id="' + yz_item_id + '"]' ).addClass( 'yz-is-visible' );
	    		}
    			return;
    		}

    		// Disable Click On Displaying Share Box. 
    		if ( $( this ).hasClass( 'loading' ) ) {
    			return false;
    		}

    		// Add Loading Class.
    		yz_curent_btn.addClass( 'loading' );

    		// Get Button Data.
			var data = {
				item_id: yz_item_id,
				component : yz_component, 
				action : 'yzss_get_profile_social_share_buttons',
				security: $( this ).parent( '.yz-tools' ).data( 'nonce' )
			};

			// Process Verification.
			$.post( ajaxurl, data, function( res ) {

				if ( res == '0' ) {

		    		// Remove Loading Class.
		    		yz_curent_btn.removeClass( 'loading' );

	            	// Show Error Message
	            	$.yz_DialogMsg( 'error', Youzer.unknown_error );

					return false;

				} else {

					// Mark Button As laoded.
					yz_curent_btn.attr( 'data-loaded', 'true' );

		    		// Remove Loading Class.
		    		yz_curent_btn.removeClass( 'loading' );

					// Update Button Icon.
					yz_curent_btn.find( '.yz-tool-icon i' ).attr( 'class', 'fas fa-share-alt' );

					// Append Content.
					$( 'body' ).append( $( res ).addClass( 'yz-is-visible' ) );

					return false;
				}

			}).fail( function( xhr, textStatus, errorThrown ) {

				// Remove Loading Class.
	    		yz_curent_btn.removeClass( 'loading' );

            	// Show Error Message
            	$.yz_DialogMsg( 'error', Youzer.unknown_error );

				return false;

    		});

		});

    });

})( jQuery );