<?php

/**
 * Add New Sharing Button
 */
function yzss_add_wall_share_button() {
	
	if ( ! yzss_is_post_type_sharable( bp_get_activity_type() ) ) {
		return;
	}

	?>

    <a href="#" class="button yz-share-button bp-primary-action" data-loaded="false"><?php echo yz_option( 'yzss_share_btn_title', __( 'Social Share', 'youzer-social-share' ) ); ?></a><?php
}

add_action( 'bp_activity_entry_meta_non_logged_in', 'yzss_add_wall_share_button' );

/*
 * Set Body Scheme Class
 */
function yzss_social_share_class( $classes ) {

    if ( ! is_user_logged_in() && bp_is_active( 'activity' ) && ( bp_is_current_component( 'activity' ) || ( bp_is_active( 'groups' ) && bp_is_group_activity() ) ) ) {
        $classes[] = 'yz-enabled-social-share';   
    }

    return $classes;
}

add_filter( 'body_class','yzss_social_share_class' );

/*
 * Get Social Share Body 
 */
function yzss_social_share_body_class( $classes ) {

    // Get Styling
    $classes[] = 'yz-share-btns-' . yz_option( 'yzss_networks_bg_type', 'colorful' );   
    $classes[] = 'yz-share-btns-' . yz_option( 'yzss_networks_border_style', 'radius' );   

    return $classes;
}