<?php

class Youzer_Social_Share_Admin {

    public $field_name;

    function __construct() {

        // Set Licence Field Name
        $this->field_name = 'yz_social_share_license_key';

        add_filter( 'yz_extensions_settings_menu', array( $this, 'settings_menu' ) );
        add_action( 'admin_init', array( $this, 'check_for_updates' ) );

    }

    /**
     * # Add Settings New Tab
     */
    function settings_menu( $tabs ) {

        $tabs['social-share'] = array(
            'icon'  => 'fas fa-share-square',
            'id'    => 'social-share',
            'function' => array( $this, 'settings' ),
            'title' => __( 'Social Share settings', 'youzer-social-share' ),
        );
        
        return $tabs;

    }

    /**
     * Social Share Seetings.
     */
    function settings() {

        global $Youzer_Admin;
        
        // Get License.
        $license = get_option( $this->field_name );

        if ( ! empty( $license ) ) {

        // Get License Status.
        $Youzer_Admin->get_license_status( array( 'license' => $license, 'option_id' => $this->field_name, 'product_id' => 171, 'position' => 'top' )  );

        global $Yz_Settings;

        $Yz_Settings->get_field(
            array(
                'title' => __( 'General Settings', 'youzer-social-share' ),
                'type'  => 'openBox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Enable Social Share', 'youzer-social-share' ),
                'desc'  => __( 'enable the social share feature', 'youzer-social-share' ),
                'id'    => 'yzss_enable_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Display Share Buttons for Visitors', 'youzer-social-share' ),
                'desc'  => __( 'allow non logged-in user to use sharing buttons', 'youzer-social-share' ),
                'id'    => 'yzss_enable_nonloggedin_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Share Button title', 'youzer-social-share' ),
                'desc'  => __( 'activity social share button title', 'youzer-social-share' ),
                'id'    => 'yzss_share_btn_title',
                'type'  => 'text'
            )
        );    

        $Yz_Settings->get_field(
            array(
                'title' => __( 'networks type', 'youzer-social-share' ),
                'id'    => 'yzss_networks_bg_type',
                'desc'  => __( 'header background type', 'youzer-social-share' ),
                'type'  => 'select',
                'opts'  => array(
                    'gray'      => __( 'Gray', 'youzer-social-share' ),
                    'silver'    => __( 'Silver', 'youzer-social-share' ),
                    'colorful'  => __( 'Colorful', 'youzer-social-share' ),
                    'no-bg'     => __( 'No Background', 'youzer-social-share' )
                ),
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'networks style', 'youzer-social-share' ),
                'id'    => 'yzss_networks_border_style',
                'desc'  => __( 'networks background style', 'youzer-social-share' ),
                'type'  => 'select',
                'opts'  => $Yz_Settings->get_field_options( 'border_styles' )
            )
        );

        $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Sharable Elements', 'youzer-social-share' ),
                'class' => 'ukai-box-3cols',
                'type'  => 'openBox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Posts', 'youzer-social-share' ),
                'desc'  => __( 'allow sharing wall posts', 'youzer-social-share' ),
                'id'    => 'yzss_enable_posts_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Users Profile', 'youzer-social-share' ),
                'desc'  => __( 'allow sharing users profile', 'youzer-social-share' ),
                'id'    => 'yzss_enable_profiles_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Groups', 'youzer-social-share' ),
                'desc'  => __( 'allow sharing groups', 'youzer-social-share' ),
                'id'    => 'yzss_enable_groups_social_share',
                'type'  => 'checkbox'
            )
        );
        
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Members Directory', 'youzer-social-share' ),
                'desc'  => __( 'enable members cards social share', 'youzer-social-share' ),
                'id'    => 'yzss_enable_md_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Groups Directory', 'youzer-social-share' ),
                'desc'  => __( 'enable groups cards social share', 'youzer-social-share' ),
                'id'    => 'yzss_enable_gd_social_share',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Networks Visibility Settings', 'youzer-social-share' ),
                'class' => 'ukai-box-3cols',
                'type'  => 'openBox'
            )
        );

        // Get social networks.
        $social_networks = yzss_share_networks();

        foreach ( $social_networks as $key => $data ) {
            $Yz_Settings->get_field(
                array(
                    'title' => $data['title'],
                    'desc'  => sprintf( __( 'enable %s', 'youzer-social-share' ), $data['title'] ),
                    'id'    => 'yzss_enable_' . $key,
                    'type'  => 'checkbox'
                )
            );
        }

        $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Sharable Posts', 'youzer-social-share' ),
                'class' => 'ukai-box-2cols',
                'type'  => 'openBox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Status Post', 'youzer-social-share' ),
                'desc'  => __( 'make the status post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_status_sharable',
                'type'  => 'checkbox'
            )
        );    

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Photo Post', 'youzer-social-share' ),
                'desc'  => __( 'make the photo post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_photo_sharable',
                'type'  => 'checkbox'
            )
        );    
     
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Slideshow Post', 'youzer-social-share' ),
                'desc'  => __( 'make the slideshow post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_slideshow_sharable',
                'type'  => 'checkbox'
            )
        );    
     
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Quote Post', 'youzer-social-share' ),
                'desc'  => __( 'make the quote post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_quote_sharable',
                'type'  => 'checkbox'
            )
        );    
     
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Link Post', 'youzer-social-share' ),
                'desc'  => __( 'make the link post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_link_sharable',
                'type'  => 'checkbox'
            )
        );    
     
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Video Post', 'youzer-social-share' ),
                'desc'  => __( 'make the video post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_video_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Audio Post', 'youzer-social-share' ),
                'desc'  => __( 'make the audio post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_audio_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'File Post', 'youzer-social-share' ),
                'desc'  => __( 'make the file post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_activity_file_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Cover Post', 'youzer-social-share' ),
                'desc'  => __( 'make the cover post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_new_cover_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Avatar Post', 'youzer-social-share' ),
                'desc'  => __( 'make the avatar post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_new_avatar_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Blog Post', 'youzer-social-share' ),
                'desc'  => __( 'make the blog post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_new_blog_post_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Comment Post', 'youzer-social-share' ),
                'desc'  => __( 'make the comment post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_new_blog_comment_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Friendship Created Post', 'youzer-social-share' ),
                'desc'  => __( 'make the created friendship post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_friendship_created_sharable',
                'type'  => 'checkbox'
            )
        );
        
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Friendship Accepted Post', 'youzer-social-share' ),
                'desc'  => __( 'make the accepted group post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_friendship_accepted_sharable',
                'type'  => 'checkbox'
            )
        );
        
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Group Creation Post', 'youzer-social-share' ),
                'desc'  => __( 'make the created group post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_created_group_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Joined Group Post', 'youzer-social-share' ),
                'desc'  => __( 'make the joined group post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_joined_group_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'New Member Post', 'youzer-social-share' ),
                'desc'  => __( 'make the new member post sharable', 'youzer-social-share' ),
                'id'    => 'yzss_is_new_member_sharable',
                'type'  => 'checkbox'
            )
        );

        $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Open Graph Default Thumbnails', 'youzer-social-share' ),
                'type'  => 'openBox'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Profile Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the user profile default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_profile',
                'type'  => 'upload'
            )
        );
        
        $Yz_Settings->get_field(
            array(
                'title' => __( 'Group Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the group default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_group',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Status Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the status post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_activity_status',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Quote Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the quote post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_activity_quote',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Link Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the link post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_activity_link',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Video Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the video post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_activity_video',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Audio Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the audio post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_activity_audio',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'New Blog Post Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the new blog post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_new_blog_post',
                'type'  => 'upload'
            )
        );
        
        $Yz_Settings->get_field(
            array(
                'title' => __( 'New Blog Comment Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the new blog comment post default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_new_blog_comment',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Friendship Created/Accepted Posts Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the friendship created or accepted posts default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_friendship',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field(
            array(
                'title' => __( 'Group Created/Joined Posts Thumbnail', 'youzer-social-share' ),
                'desc'  => __( 'set the group created or joined posts default thumbnail', 'youzer-social-share' ),
                'id'    => 'yzss_default_thumb_group_created',
                'type'  => 'upload'
            )
        );

        $Yz_Settings->get_field( array( 'type' => 'closeBox' ) );

        }

        // Get License Settings.
        $Youzer_Admin->get_license_settings( array( 'license' => $license, 'option_id' => $this->field_name, 'product_id' => 171 )  );

    }


    /**
     * Check For Updates.
     **/
    function check_for_updates() {

        // Get Licence.
        $license = get_option( $this->field_name );

        if ( empty( $license ) ) {
            return;
        }

        // setup the updater
        $edd_updater = new EDD_SL_Plugin_Updater( EDD_KAINELABS_STORE_URL, YZSS_FILE,
            array(
                'version' => YZSS_VERSION,                   
                'license' => $license,
                'item_id' => '171',
                'author'  => 'Youssef Kaine', 
                'beta'    => false,
            )
        );

    }

}

$social_share = new Youzer_Social_Share_Admin();